Package picard.illumina.parser

# Class BclData

java.lang.Object
picard.illumina.parser.BclData

Direct Known Subclasses:
  `CbclData`

public class BclData extends Object
A class that implements the IlluminaData interfaces provided by this parser One BclData object is returned to IlluminaDataProvider per cluster and each first level array in bases and qualities represents a single read in that cluster

## Field Summary

Fields
Modifier and Type
Field
Description
`final byte[][]`
`bases`
`final byte[][]`
`qualities`

## Constructor Summary

Constructors
Constructor
Description
`BclData(int[] outputLengths)`

## Method Summary

Modifier and Type
Method
Description
`byte[][]`
`getBases()`
`byte[][]`
`getQualities()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bases

public final byte[][] bases

### qualities

public final byte[][] qualities

## Constructor Details

### BclData

public BclData(int[] outputLengths)

## Method Details

### getBases

public byte[][] getBases()

### getQualities

public byte[][] getQualities()